Advanced search  


cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.

Pages: [1]   Go Down

Author Topic: Form token modifier for cpg1.5.x  (Read 5436 times)

0 Members and 1 Guest are viewing this topic.


  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15471
Form token modifier for cpg1.5.x
« on: July 16, 2010, 09:48:11 am »

This plugin modifies the form token criteria array. It adds client side values (ip address and browser agent) to the form token generator. This generates super secure form tokens, but may add issues (the 'A valid token  could not be found' error message) for people who are using a pseudo-security apps which remove the user agent or people where their ISP changes their IP address frequently.

This plugin has no configuration, as it automatically adds the client side values to the array.

You need at least cpg1.5.8, as the needed plugin hook has been introduced in revision 7778.
« Last Edit: July 28, 2010, 12:02:25 pm by Αndré »
Pages: [1]   Go Up

Page created in 0.016 seconds with 22 queries.